AC_PREREQ(2.61)

AC_INIT([phase2], [0.0.2], [price@ifa.hawaii.edu])
AC_CONFIG_SRCDIR([phase2.config])

AM_INIT_AUTOMAKE([1.6 foreign dist-bzip2])
dnl AM_CONFIG_HEADER([config.h])
AM_MAINTAINER_MODE

AC_LANG(C)
AC_GNU_SOURCE
AC_PROG_CC_C99
AC_PROG_INSTALL
dnl AC_PROG_LIBTOOL

PKG_CHECK_MODULES([PSLIB], [pslib >= 0.9.0]) 
PKG_CHECK_MODULES([PSMODULE], [psmodules >= 0.0.0]) 

CFLAGS="${CFLAGS} -DTESTING"
dnl is this the best was to setup recursive CFLAGS?
dnl phase2_CFLAGS="-Werror -std=c99 "
phase2_CFLAGS=" "
AC_SUBST([phase2_CFLAGS])

AC_CONFIG_FILES([
  Makefile
])
AC_OUTPUT
